Loading...
Searching...
No Matches
state.c File Reference
`#include "arc/engine/state.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Functions

void | ARC_State_Update (void *data)
void | ARC_State_Render (void *data)

## Function Documentation

## ARC_State_Render()

void ARC_State_Render | ( | void * | data | ) |

Definition at line 8 of file state.c.

{
((ARC_State *)data)->renderFn(((ARC_State *)data)->data);
}
ARC_State
Definition state.h:10

Referenced by ARC_Engine_RunUncapped().

## ARC_State_Update()

void ARC_State_Update | ( | void * | data | ) |

Definition at line 4 of file state.c.

{
((ARC_State *)data)->updateFn(((ARC_State *)data)->data);
}

Referenced by ARC_Engine_RunUncapped().